View Issue Details

IDProjectCategoryView StatusLast Update
0004213SymmetricDS ProBugpublic2020-01-23 15:42
ReporterpmarzulloAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.2 
Target Version3.11.4Fixed in Version3.11.4 
Summary0004213: Oracle Log Miner: catch SQL parse exceptions, log, and continue on
DescriptionOracle SQL in the log miner interface can have invalid SQL statements. Here is an example:

update "APPL_OWNER"."APL_FAKEJMS" set where "SNO" = '850814003' and "QUEUE" = 'JobQ' and "CREATED" = '1576421100006' and "TIMETOLIVE" = '0' and "DELIVERYCOUNT" = '0' and "HANDLED_BY" IS NULL and "DESCRIPTION" = 'ScheduledJobDefinition@[jobId = 34, type = SOLR_REQUISITION_DELTA_INDEX, responsibleMachine = null,' and "HANDLED_AT" IS NULL and "PRIORITY" = '0' and "JOB_ID" = '34' and "RESPONSIBLE_MACHINE" IS NULL

Notice the missing column=value in the SET clause.
Tagsdialect: oracle, logmining

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-12-20 12:39 pmarzullo New Issue
2019-12-20 12:39 pmarzullo Status new => assigned
2019-12-20 12:39 pmarzullo Assigned To => pmarzullo
2019-12-20 12:39 pmarzullo Tag Attached: dialect: oracle
2019-12-20 12:39 pmarzullo Tag Attached: logmining
2020-01-02 10:12 admin Target Version 3.11.3 => 3.11.4
2020-01-15 09:22 pmarzullo Status assigned => resolved
2020-01-15 09:22 pmarzullo Resolution open => fixed
2020-01-15 09:22 pmarzullo Fixed in Version => 3.11.4
2020-01-23 15:42 admin Status resolved => closed